Notes
Add and delete notes on a contact. Notes are displayed in the contact detail and visible to the agent chat.
POST
/api/contacts/{id}/notes
Add a note to a contact
Example request
curl -X POST "https://www.letsligo.com/api/contacts/123e4567-e89b-12d3-a456-426614174000/notes" \
-H "Accept: application/json" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{ "content": "Budget de 50 000 €" }'
Request body
{
"content": "Budget de 50 000 €"
}
Request parameters
| Name | Type | Description | Required |
|---|---|---|---|
| id | string (uuid) | Unique identifier (UUID) of the resource. | Yes |
| content | string | Note content (e.g. "Budget de 50 000 €") | Yes |
Response example
{
"id": "423e4567-e89b-12d3-a456-426614174000",
"content": "Budget de 50 000 €",
"createdAt": "2025-03-13T14:30:00+00:00"
}
DELETE
/api/contacts/{id}/notes/{noteId}
Delete a note from a contact
Example request
curl -X DELETE "https://www.letsligo.com/api/contacts/123e4567-e89b-12d3-a456-426614174000/notes/423e4567-e89b-12d3-a456-426614174000" \
-H "Accept: application/json" \
-H "Authorization: Bearer YOUR_TOKEN"
Request parameters
| Name | Type | Description | Required |
|---|---|---|---|
| id | string (uuid) | Unique identifier (UUID) of the resource. | Yes |
| noteId | string (uuid) | Yes |